/**
 * This file is part of GenomeView, a genome browser and annotation curator
 * 
 * Copyright (C) 2007-2017 Thomas Abeel and contributors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 * Project: http://genomeview.org/
 */
package net.sf.jannot.pileup;

/**
 * 
 * @author Thomas Abeel
 * 
 */
public class PileTools {
	/**
	 * Creates the most memory efficient pile implementation for the given
	 * values.
	 * 
	 * @param s
	 * @param arr
	 * @return
	 */
	public static Pile create(int s, float ... arr) {
		switch (arr.length) {
		case 0:
			return null;
		case 1:
			return new SinglePile(s, arr[0]);
		case 2:
			return new DoublePile(s, arr[0], arr[1]);
		default:
			return new MultiPile(s, arr);

		}

	}
}
